Bug 44667 - Replace 50x50 icon for teacher console portal entry with SVG image
Replace 50x50 icon for teacher console portal entry with SVG image
Status: CLOSED FIXED
Product: UCS@school
Classification: Unclassified
Component: General
unspecified
Other Linux
: P5 normal (vote)
: UCS@school 4.2 v3
Assigned To: Florian Best
Daniel Tröder
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-05-23 15:27 CEST by Alexander Kläser
Modified: 2017-09-12 13:17 CEST (History)
2 users (show)

See Also:
What kind of report is it?: Bug Report
What type of bug is this?: 1: Cosmetic issue or missing function but workaround exists
Who will be affected by this bug?: 5: Will affect all installed domains
How will those affected feel about the bug?: 2: A Pain – users won’t like this once they notice it
User Pain: 0.057
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Flags outvoted (downgraded) after PO Review:
Ticket number:
Bug group (optional): Design
Max CVSS v3 score:


Attachments
Screenshot from portal (394.80 KB, image/png)
2017-05-23 15:46 CEST, Michel Smidt
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Kläser univentionstaff 2017-05-23 15:27:45 CEST
We really should replace the 50x50 pixel icon for the teacher console which is displayed on the portal page with a UCS@school SVG image. Often the portal will be the first thing future clients will see.

For this the file ucs-school-metapackage/63ucs-school-portal-entry.inst needs to be adjusted in the line "--set icon=...".
Comment 1 Michel Smidt 2017-05-23 15:46:15 CEST
Created attachment 8877 [details]
Screenshot from portal
Comment 2 Florian Best univentionstaff 2017-07-21 16:20:32 CEST
ucs-school-metapackage (10.0.2-3):
r81311 | Bug #44667: replace PNG image with SVG

ucs-school-metapackage.yaml:
r81312 | YAML Bug #44667
Comment 3 Daniel Tröder univentionstaff 2017-08-08 05:12:28 CEST
A typo (missing 'u' in sr/share/..) in debian/ucs-school-singlemaster.install lead to not installed ucsschool.svg.
This revealed missing error handling (|| die) in the join scripts.
Comment 4 Florian Best univentionstaff 2017-08-08 12:54:11 CEST
ucs-school-metapackage (10.0.2-6):
r81885 | Bug #44667: fix typo
Comment 5 Daniel Tröder univentionstaff 2017-08-08 13:31:23 CEST
OK: file installation
OK: join script
OK: manual optical check ;)
OK: advisory (r81891)
Comment 6 Sönke Schwardt-Krummrich univentionstaff 2017-09-12 13:17:18 CEST
UCS@school 4.2 v3 has been released.

http://docs.software-univention.de/changelog-ucsschool-4.2v3-de.html

If this error occurs again, please clone this bug.